> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get attachments

> Retrieve all attachments for a specific asset.



## OpenAPI

````yaml get /workspaces/assets/{asset_id}/attachments
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /workspaces/assets/{asset_id}/attachments:
    get:
      tags:
        - Asset Attachment
      description: Retrieve all attachments for a specific asset.
      parameters:
        - $ref: '#/components/parameters/account_id'
        - $ref: '#/components/parameters/workspace_id'
        - in: path
          name: asset_id
          schema:
            type: string
          required: true
      responses:
        '200':
          description: A list of attachments
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AssetAttachment'
      security:
        - Authentication: []
components:
  parameters:
    account_id:
      name: x-account-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
    workspace_id:
      name: x-workspace-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    AssetAttachment:
      type: object
      description: Represents an attachment associated with an asset.
      properties:
        id:
          type: string
          description: Unique identifier for the asset attachment.
        asset_id:
          type: string
          description: Identifier of the associated asset.
        created_by_user_id:
          type: string
          description: Identifier of the user who created the attachment.
        file_id:
          type: string
          description: Identifier of the file associated with the attachment.
        thumbnail_file_id:
          type: string
          description: Identifier of the thumbnail file associated with the attachment.
        review_id:
          type: string
          description: Identifier of the associated review.
        comment_id:
          type: string
          description: Identifier of the associated comment.
        name:
          type: string
          description: Name of the attachment.
        description:
          type: string
          description: Description of the attachment.
        user:
          $ref: '#/components/schemas/User'
          description: User associated with the attachment.
    User:
      type: object
      description: User model
      properties:
        id:
          type: string
          description: Unique identifier for the user
        auth0UserID:
          type: string
          description: Auth0 user ID
        username:
          type: string
          description: Username of the user
        email:
          type: string
          description: Email address of the user
        firstName:
          type: string
          description: First name of the user
        lastName:
          type: string
          description: Last name of the user
        avatar_file_id:
          type: string
          description: File ID of the user's avatar
        defaultAvatar:
          type: number
          description: Default avatar identifier
        industry:
          type: string
          description: Industry the user works in
        occupation:
          type: string
          description: Occupation of the user
        company:
          type: string
          description: Company the user works for
        emailVerified:
          type: boolean
          description: Whether the user's email is verified
        isActive:
          type: boolean
          description: Whether the user is active
        city:
          type: string
          description: City where the user resides
        state:
          type: string
          description: State where the user resides
        country:
          type: string
          description: Country where the user resides
        zipCode:
          type: string
          description: Zip code of the user's location
        invited_by_user:
          $ref: '#/components/schemas/User'
          description: User who invited this user
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````